com.creamtec.ajaxswing

## Class AjaxSwingRouter

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.creamtec.ajaxswing.AjaxSwingRouter

- All Implemented Interfaces:
    java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public class AjaxSwingRouter
      extends javax.servlet.http.HttpServlet

  AjaxSwing uses the router servlet to receive, pre-process and delegate HTTP requests to the appropriate client agent. The agent generates HTML that is returned to the browser by the router.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AjaxSwingRouter.InProcessJVMFactory` Extends the JVMFactory to provide AjaxSwing with a class that is not loaded from the boot class path.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPS_FILE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingRouter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Shuts down AjaxSwing subsystem
    `void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Delegates to doPost
    `void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Delegates the processing to the ServletHelper.processHttpRequest
    `java.lang.String` | `getServletInfo()` Returns AjaxSwing information
    `void` | `init(javax.servlet.ServletConfig config)` Verifies AjaxSwing configuration and initializes the router
    `void` | `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Traces all incoming service requests

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPS_FILE_NAME

          public static final java.lang.String PROPS_FILE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AjaxSwingRouter

          public AjaxSwingRouter()

  - ### Method Detail

    - #### init

          public void init(javax.servlet.ServletConfig config)
                    throws javax.servlet.ServletException

      Verifies AjaxSwing configuration and initializes the router
      Specified by:
        `init` in interface `javax.servlet.Servlet`
      Overrides:
        `init` in class `javax.servlet.GenericServlet`
      Parameters:
        `config` - ServletConfig
      Throws:
        `javax.servlet.ServletException`

    - #### destroy

          public void destroy()

      Shuts down AjaxSwing subsystem
      Specified by:
        `destroy` in interface `javax.servlet.Servlet`
      Overrides:
        `destroy` in class `javax.servlet.GenericServlet`

    - #### service

          public void service(javax.servlet.http.HttpServletRequest request,
                     javax.servlet.http.HttpServletResponse response)
                       throws javax.servlet.ServletException,
                              java.io.IOException

      Traces all incoming service requests
      Overrides:
        `service` in class `javax.servlet.http.HttpServlet`
      Parameters:
        `request` - HttpServletRequest
        `response` - HttpServletResponse
      Throws:
        `javax.servlet.ServletException`
        `java.io.IOException`

    - #### doGet

          public void doGet(javax.servlet.http.HttpServletRequest request,
                   javax.servlet.http.HttpServletResponse response)
                     throws javax.servlet.ServletException,
                            java.io.IOException

      Delegates to doPost
      Overrides:
        `doGet` in class `javax.servlet.http.HttpServlet`
      Parameters:
        `request` - HttpServletRequest
        `response` - HttpServletResponse
      Throws:
        `javax.servlet.ServletException`
        `java.io.IOException`

    - #### doPost

          public void doPost(javax.servlet.http.HttpServletRequest request,
                    javax.servlet.http.HttpServletResponse response)
                      throws javax.servlet.ServletException,
                             java.io.IOException

      Delegates the processing to the ServletHelper.processHttpRequest
      Overrides:
        `doPost` in class `javax.servlet.http.HttpServlet`
      Parameters:
        `request` - HttpServletRequest
        `response` - HttpServletResponse
      Throws:
        `javax.servlet.ServletException`
        `java.io.IOException`

    - #### getServletInfo

          public java.lang.String getServletInfo()

      Returns AjaxSwing information
      Specified by:
        `getServletInfo` in interface `javax.servlet.Servlet`
      Overrides:
        `getServletInfo` in class `javax.servlet.GenericServlet`
      Returns:
        String

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.